summaryrefslogtreecommitdiffstats
path: root/development/monodevelop/srcpkg
diff options
context:
space:
mode:
author Andre Barboza <bmg.andre@gmail.com>2016-08-26 22:25:02 +0700
committer David Spencer <idlemoor@slackbuilds.org>2016-08-28 00:22:40 +0100
commite506ff0af6ea300b767b676e96129d040a83007d (patch)
tree7137cfd683d205024b8dba9e9d6ca83b1e8fbf40 /development/monodevelop/srcpkg
parentb89b40f061821817322e3c58858748b03f67af72 (diff)
downloadslackbuilds-e506ff0af6ea300b767b676e96129d040a83007d.tar.gz
slackbuilds-e506ff0af6ea300b767b676e96129d040a83007d.tar.xz
development/monodevelop: Updated for version 6.0.2.73.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/monodevelop/srcpkg')
-rw-r--r--development/monodevelop/srcpkg/makepkg.sh79
1 files changed, 79 insertions, 0 deletions
diff --git a/development/monodevelop/srcpkg/makepkg.sh b/development/monodevelop/srcpkg/makepkg.sh
new file mode 100644
index 0000000000..b5067e9bed
--- /dev/null
+++ b/development/monodevelop/srcpkg/makepkg.sh
@@ -0,0 +1,79 @@
+#! /bin/bash
+
+# Written by Andre Barboza <bmg.andre@gmail.com>
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=monodevelop
+VERSION=${VERSION:-6.0.2.73}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo/sources}
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+mkdir -p $TMP
+cd $TMP
+
+if [ ! -d "$PRGNAM" ]; then
+ git clone https://github.com/mono/monodevelop.git
+else
+ pushd $PRGNAM
+ git clean -dfx
+ git reset --hard
+ git submodule foreach --recursive git reset --hard
+ git submodule foreach --recursive git clean -dfx
+ git fetch
+ popd #$PRGNAM
+fi
+
+cd $PRGNAM
+git submodule update --init --recursive
+git checkout tags/${PRGNAM}-${VERSION}
+scripts/configure.sh gen-buildinfo main
+
+./configure \
+ --profile=stable \
+ --enable-release \
+ --prefix=/usr
+
+pushd main
+ nuget restore
+
+ for top_dir in external contrib src/addins src/core
+ do
+ pushd $top_dir
+ find . -type d -maxdepth 1 |
+ while read dir
+ do
+ pushd $dir
+ nuget restore || :
+ popd #$dir
+ done
+ popd #$top_dir
+ done
+popd #main
+
+cd $TMP
+tar -cvjf $OUTPUT/$PRGNAM-$VERSION.tar.bz2 \
+ --exclude $PRGNAM/.git \
+ --exclude $PRGNAM/*.gitted \
+ --ignore-case --exclude $PRGNAM/*/resources/*.git \
+ --ignore-case --exclude $PRGNAM/*/resources/*dot_git \
+ $PRGNAM